> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# safetyculture-inspections

> SafetyCulture Inspections - start, search, manage, and export safety inspections and templates

**Server path:** `/safetyculture-inspections` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                                                            | Description                                 |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------- |
| [`safetyculture_inspections_answer_service_get_answers_for_inspection`](#safetyculture_inspections_answer_service_get_answers_for_inspection)                   | Get answers from an inspection              |
| [`safetyculture_inspections_external_inspection_service_get_inspection_details`](#safetyculture_inspections_external_inspection_service_get_inspection_details) | Get details of an inspection                |
| [`safetyculture_inspections_inspection_service_archive_inspection`](#safetyculture_inspections_inspection_service_archive_inspection)                           | Archive an inspection                       |
| [`safetyculture_inspections_inspection_service_clone_inspection`](#safetyculture_inspections_inspection_service_clone_inspection)                               | Clone an inspection                         |
| [`safetyculture_inspections_inspection_service_complete_inspection`](#safetyculture_inspections_inspection_service_complete_inspection)                         | Complete inspection                         |
| [`safetyculture_inspections_inspection_service_delete_inspection`](#safetyculture_inspections_inspection_service_delete_inspection)                             | Delete an inspection                        |
| [`safetyculture_inspections_inspection_service_get_inspection`](#safetyculture_inspections_inspection_service_get_inspection)                                   | Get an inspection                           |
| [`safetyculture_inspections_inspection_service_get_inspection_access`](#safetyculture_inspections_inspection_service_get_inspection_access)                     | Get inspection access                       |
| [`safetyculture_inspections_inspection_service_remove_inspection_user_access`](#safetyculture_inspections_inspection_service_remove_inspection_user_access)     | Remove user access to an inspection         |
| [`safetyculture_inspections_inspection_service_restore_archived_inspection`](#safetyculture_inspections_inspection_service_restore_archived_inspection)         | Restore an archived inspection              |
| [`safetyculture_inspections_inspection_service_set_inspection_access`](#safetyculture_inspections_inspection_service_set_inspection_access)                     | Set inspection access                       |
| [`safetyculture_inspections_inspection_service_set_inspection_location`](#safetyculture_inspections_inspection_service_set_inspection_location)                 | Set an inspections start or finish location |
| [`safetyculture_inspections_inspection_service_set_inspection_site`](#safetyculture_inspections_inspection_service_set_inspection_site)                         | Set inspection site                         |
| [`safetyculture_inspections_inspection_service_set_owner`](#safetyculture_inspections_inspection_service_set_owner)                                             | Set inspection owner                        |
| [`safetyculture_inspections_media_service_get_download_signed_url`](#safetyculture_inspections_media_service_get_download_signed_url)                           | Get media download URL                      |
| [`safetyculture_inspections_reports_service_start_inspection_export`](#safetyculture_inspections_reports_service_start_inspection_export)                       | Export inspection to PDF or Word            |
| [`safetyculture_inspections_templates_service_archive_template`](#safetyculture_inspections_templates_service_archive_template)                                 | Archive a template                          |
| [`safetyculture_inspections_templates_service_get_template_by_id`](#safetyculture_inspections_templates_service_get_template_by_id)                             | Get a template                              |
| [`safetyculture_inspections_templates_service_get_template_by_inspection_id`](#safetyculture_inspections_templates_service_get_template_by_inspection_id)       | Get template (by inspection)                |
| [`safetyculture_inspections_templates_service_restore_archived_template`](#safetyculture_inspections_templates_service_restore_archived_template)               | Restore an archived template                |
| [`safetyculture_inspections_the_pub_service_get_inspection_deep_link`](#safetyculture_inspections_the_pub_service_get_inspection_deep_link)                     | Generate an inspection deep link            |
| [`safetyculture_inspections_the_pub_service_get_inspection_web_report_link`](#safetyculture_inspections_the_pub_service_get_inspection_web_report_link)         | Get inspection web report link              |
| [`safetyculture_inspections_the_pub_service_search_inspections`](#safetyculture_inspections_the_pub_service_search_inspections)                                 | Search modified inspections                 |
| [`safetyculture_inspections_the_pub_service_search_templates`](#safetyculture_inspections_the_pub_service_search_templates)                                     | Search modified templates                   |
| [`safetyculture_inspections_the_pub_service_share_inspection`](#safetyculture_inspections_the_pub_service_share_inspection)                                     | Share an inspection                         |
| [`safetyculture_inspections_the_pub_service_start_inspection`](#safetyculture_inspections_the_pub_service_start_inspection)                                     | Start an inspection                         |
| [`safetyculture_inspections_the_pub_service_update_inspection`](#safetyculture_inspections_the_pub_service_update_inspection)                                   | Update an inspection                        |

***

## safetyculture\_inspections\_answer\_service\_get\_answers\_for\_inspection

Get answers from an inspection

**Parameters:**

| Parameter | Type   | Required | Default | Description                              |
| --------- | ------ | -------- | ------- | ---------------------------------------- |
| `id`      | string | Yes      | —       | The unique identifier for the inspection |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "The unique identifier for the inspection"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_external\_inspection\_service\_get\_inspection\_details

Get details of an inspection

**Parameters:**

| Parameter           | Type    | Required | Default | Description                                                                                        |
| ------------------- | ------- | -------- | ------- | -------------------------------------------------------------------------------------------------- |
| `id`                | string  | Yes      | —       | The ID for the inspection.                                                                         |
| `include_media_url` | boolean | No       | —       | Whether to include media URLs (and metadata) in the response payload. Optional. Defaults to false. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "The ID for the inspection."
      },
      "include_media_url": {
        "type": "boolean",
        "description": "Whether to include media URLs (and metadata) in the response payload. Optional. Defaults to false."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_inspection\_service\_archive\_inspection

Archive an inspection

**Parameters:**

| Parameter       | Type   | Required | Default | Description                              |
| --------------- | ------ | -------- | ------- | ---------------------------------------- |
| `inspection_id` | string | Yes      | —       | The unique identifier for the inspection |
| `body`          | object | Yes      | —       | Request body                             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "inspection_id": {
        "type": "string",
        "description": "The unique identifier for the inspection"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "inspection_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_inspection\_service\_clone\_inspection

Clone an inspection

**Parameters:**

| Parameter       | Type   | Required | Default | Description                          |
| --------------- | ------ | -------- | ------- | ------------------------------------ |
| `inspection_id` | string | Yes      | —       | Required. Inspection ID to copy from |
| `body`          | object | Yes      | —       | Request body                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "inspection_id": {
        "type": "string",
        "description": "Required. Inspection ID to copy from"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "inspection_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_inspection\_service\_complete\_inspection

Complete inspection

**Parameters:**

| Parameter       | Type   | Required | Default | Description                                           |
| --------------- | ------ | -------- | ------- | ----------------------------------------------------- |
| `inspection_id` | string | Yes      | —       | The unique identifier for the inspection to complete. |
| `body`          | object | Yes      | —       | Request message for CompleteInspection.               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "inspection_id": {
        "type": "string",
        "description": "The unique identifier for the inspection to complete."
      },
      "body": {
        "type": "object",
        "description": "Request message for CompleteInspection."
      }
    },
    "required": [
      "PCID",
      "inspection_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_inspection\_service\_delete\_inspection

Delete an inspection

**Parameters:**

| Parameter | Type   | Required | Default | Description                              |
| --------- | ------ | -------- | ------- | ---------------------------------------- |
| `id`      | string | Yes      | —       | The unique identifier for the inspection |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "The unique identifier for the inspection"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_inspection\_service\_get\_inspection

Get an inspection

**Parameters:**

| Parameter | Type   | Required | Default | Description                |
| --------- | ------ | -------- | ------- | -------------------------- |
| `id`      | string | Yes      | —       | The ID for the inspection. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "The ID for the inspection."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_inspection\_service\_get\_inspection\_access

Get inspection access

**Parameters:**

| Parameter       | Type   | Required | Default | Description                              |
| --------------- | ------ | -------- | ------- | ---------------------------------------- |
| `inspection_id` | string | Yes      | —       | The unique identifier for the inspection |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "inspection_id": {
        "type": "string",
        "description": "The unique identifier for the inspection"
      }
    },
    "required": [
      "PCID",
      "inspection_id"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_inspection\_service\_remove\_inspection\_user\_access

Remove user access to an inspection

**Parameters:**

| Parameter         | Type   | Required | Default | Description                                                                                                                                                                                                                                                            |
| ----------------- | ------ | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `inspection_id`   | string | Yes      | —       | The unique identifier for the inspection                                                                                                                                                                                                                               |
| `removed_user_id` | string | Yes      | —       | The unique identifier of the user to remove access from                                                                                                                                                                                                                |
| `new_owner_id`    | string | No       | —       | The unique identifier for a new owner of this inspection. Required when removing the current owner (when the inspection is owned by `removed_user_id`). If the inspection is not owned by `removed_user_id`, this field is optional and ownership will not be changed. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "inspection_id": {
        "type": "string",
        "description": "The unique identifier for the inspection"
      },
      "removed_user_id": {
        "type": "string",
        "description": "The unique identifier of the user to remove access from"
      },
      "new_owner_id": {
        "type": "string",
        "description": "The unique identifier for a new owner of this inspection. Required when removing the current owner (when the inspection is owned by `removed_user_id`). If the inspection is not owned by `removed_user_id`, this field is optional and ownership will not be changed."
      }
    },
    "required": [
      "PCID",
      "inspection_id",
      "removed_user_id"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_inspection\_service\_restore\_archived\_inspection

Restore an archived inspection

**Parameters:**

| Parameter       | Type   | Required | Default | Description                              |
| --------------- | ------ | -------- | ------- | ---------------------------------------- |
| `inspection_id` | string | Yes      | —       | The unique identifier for the inspection |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "inspection_id": {
        "type": "string",
        "description": "The unique identifier for the inspection"
      }
    },
    "required": [
      "PCID",
      "inspection_id"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_inspection\_service\_set\_inspection\_access

Set inspection access

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                   |
| --------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `inspection_id` | string    | Yes      | —       | The unique identifier for the inspection                                                                                                                      |
| `owner_id`      | string    | No       | —       | The user ID of the inspection owner (optional); implicitly has full access If access is to be revoked from the original owner, a new owner must be specified. |
| `permissions`   | object\[] | No       | —       | Collection of access rules with their associated permission levels                                                                                            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "inspection_id": {
        "type": "string",
        "description": "The unique identifier for the inspection"
      },
      "owner_id": {
        "type": "string",
        "description": "The user ID of the inspection owner (optional); implicitly has full access If access is to be revoked from the original owner, a new owner must be specified."
      },
      "permissions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "actor": {
              "type": "object",
              "description": "The actor (user, group, site, etc.) being granted access"
            },
            "access_level": {
              "type": "string",
              "enum": [
                "ACCESS_LEVEL_UNSPECIFIED",
                "ACCESS_LEVEL_NONE",
                "ACCESS_LEVEL_VIEW",
                "ACCESS_LEVEL_VIEW_EDIT",
                "ACCESS_LEVEL_VIEW_EDIT_DELETE"
              ],
              "description": "The level of access granted to this actor"
            }
          }
        },
        "description": "Collection of access rules with their associated permission levels"
      }
    },
    "required": [
      "PCID",
      "inspection_id"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_inspection\_service\_set\_inspection\_location

Set an inspections start or finish location

**Parameters:**

| Parameter           | Type    | Required | Default | Description                                                                      |
| ------------------- | ------- | -------- | ------- | -------------------------------------------------------------------------------- |
| `inspection_id`     | string  | Yes      | —       | Required. The unique identifier for the inspection                               |
| `geo_position`      | object  | Yes      | —       | Required. The geographical position associated with the inspections start/finish |
| `is_start_location` | boolean | Yes      | —       | Required. Whether this is the inspections starting or completing location        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "inspection_id": {
        "type": "string",
        "description": "Required. The unique identifier for the inspection"
      },
      "geo_position": {
        "type": "object",
        "description": "Required. The geographical position associated with the inspections start/finish",
        "properties": {
          "longitude": {
            "type": "number",
            "description": "The geographical longitude"
          },
          "latitude": {
            "type": "number",
            "description": "The geographical latitude"
          },
          "accuracy": {
            "type": "integer",
            "description": "The accuracy in meters"
          }
        }
      },
      "is_start_location": {
        "type": "boolean",
        "description": "Required. Whether this is the inspections starting or completing location"
      }
    },
    "required": [
      "PCID",
      "inspection_id",
      "geo_position",
      "is_start_location"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_inspection\_service\_set\_inspection\_site

Set inspection site

**Parameters:**

| Parameter       | Type   | Required | Default | Description              |
| --------------- | ------ | -------- | ------- | ------------------------ |
| `inspection_id` | string | Yes      | —       | The ID of the inspection |
| `site_id`       | string | Yes      | —       | The ID of the site       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "inspection_id": {
        "type": "string",
        "description": "The ID of the inspection"
      },
      "site_id": {
        "type": "string",
        "description": "The ID of the site"
      }
    },
    "required": [
      "PCID",
      "inspection_id",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_inspection\_service\_set\_owner

Set inspection owner

**Parameters:**

| Parameter       | Type   | Required | Default | Description                              |
| --------------- | ------ | -------- | ------- | ---------------------------------------- |
| `inspection_id` | string | Yes      | —       | The unique identifier for the inspection |
| `owner_id`      | string | Yes      | —       | The unique identifier for the new owner  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "inspection_id": {
        "type": "string",
        "description": "The unique identifier for the inspection"
      },
      "owner_id": {
        "type": "string",
        "description": "The unique identifier for the new owner"
      }
    },
    "required": [
      "PCID",
      "inspection_id",
      "owner_id"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_media\_service\_get\_download\_signed\_url

Get media download URL

**Parameters:**

| Parameter                     | Type   | Required | Default | Description                                                                                                                                                                                                                                                                                                                          |
| ----------------------------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `id`                          | string | Yes      | —       | The unique identifier for the media item.                                                                                                                                                                                                                                                                                            |
| `token`                       | string | Yes      | —       | The given token, unique for each media item, to grant access.                                                                                                                                                                                                                                                                        |
| `download_as_attachment_name` | string | No       | —       | Indicates the object should be downloaded as an attachment and saved with the given name. At the least, the file name should contain a name plus a 3-letter file extension e.g. test.png, conditions.pdf, a.jpg.                                                                                                                     |
| `media_type`                  | string | No       | —       | The media type associated with the download request.   - MEDIA\_TYPE\_IMAGE: An image file (GIF, JPG, PNG, WEBP).  - MEDIA\_TYPE\_VIDEO: A video file (MP4, MOV).  - MEDIA\_TYPE\_PDF: A PDF document.  - MEDIA\_TYPE\_DOCX: A Microsoft Word document (DOCX, DOC).  - MEDIA\_TYPE\_XLSX: A Microsoft Excel spreadsheet (XLSX, XLS). |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "The unique identifier for the media item."
      },
      "token": {
        "type": "string",
        "description": "The given token, unique for each media item, to grant access."
      },
      "download_as_attachment_name": {
        "type": "string",
        "description": "Indicates the object should be downloaded as an attachment and saved with the given name. At the least, the file name should contain a name plus a 3-letter file extension e.g. test.png, conditions.pdf, a.jpg."
      },
      "media_type": {
        "type": "string",
        "description": "The media type associated with the download request.   - MEDIA_TYPE_IMAGE: An image file (GIF, JPG, PNG, WEBP).  - MEDIA_TYPE_VIDEO: A video file (MP4, MOV).  - MEDIA_TYPE_PDF: A PDF document.  - MEDIA_TYPE_DOCX: A Microsoft Word document (DOCX, DOC).  - MEDIA_TYPE_XLSX: A Microsoft Excel spreadsheet (XLSX, XLS).",
        "enum": [
          "MEDIA_TYPE_IMAGE",
          "MEDIA_TYPE_VIDEO",
          "MEDIA_TYPE_PDF",
          "MEDIA_TYPE_DOCX",
          "MEDIA_TYPE_XLSX"
        ]
      }
    },
    "required": [
      "PCID",
      "id",
      "token"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_reports\_service\_start\_inspection\_export

Export inspection to PDF or Word

**Parameters:**

| Parameter           | Type      | Required | Default | Description                                                                                                                                   |
| ------------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| `export_data`       | object\[] | Yes      | —       | List of report configurations                                                                                                                 |
| `export_settings`   | object    | No       | —       | Sets of export settings that can apply to tabular export, eg Excel                                                                            |
| `inspection_filter` | object    | No       | —       | List of inspections filters that filters out which inspection to be included. This is optional and only be evaluate                           |
| `lang`              | string    | No       | —       | Sets the language for the document using language code from ISO-639 format                                                                    |
| `regenerate`        | boolean   | No       | —       | Indicate whether to by pass any caching and regenerate the report from the latest data. This flag would only take effect for authorized user. |
| `timezone`          | string    | No       | —       | Sets the timezone for bulk exporting file name                                                                                                |
| `type`              | string    | Yes      | —       | The requested file type for the export                                                                                                        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "export_data": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "inspection_id": {
              "type": "string",
              "description": "The ID of the inspection, this can be an s12ID or a UUID."
            },
            "lang": {
              "type": "string",
              "description": "Sets the language for the document using language code from ISO-639 format. This is backward compatible with v2 request coming through thepub. Please use the lang property in the root level instead."
            },
            "preference_id": {
              "type": "string",
              "description": "Sets the requested preference"
            },
            "filters": {
              "type": "object",
              "description": "@deprecated: Prefer using the preference_override field instead Sets the specific filters for the generated document"
            },
            "pages": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "@deprecated: Prefer using the preference_override field instead Sets the pages need to be hid for the generated document"
            },
            "media_layout": {
              "type": "object",
              "description": "@deprecated: Prefer using the preference_override field instead Sets the media layout for the generated document"
            },
            "preference_override": {
              "type": "object",
              "description": "Overrides the preferences for the generated document"
            }
          },
          "required": [
            "inspection_id"
          ]
        },
        "description": "List of report configurations"
      },
      "export_settings": {
        "type": "object",
        "description": "Sets of export settings that can apply to tabular export, eg Excel",
        "properties": {
          "show_empty_notes": {
            "type": "boolean",
            "description": "This setting determines whether to include a separate column for unpopulated notes field for each inspection question"
          },
          "show_empty_timestamps": {
            "type": "boolean",
            "description": "This setting determines whether to include a separate column for empty timestamp from each signature / temperature type question"
          },
          "show_full_site_hierarchy": {
            "type": "boolean",
            "description": "This setting determines whether to include a separate column for all non-defined site hierarchy level"
          },
          "show_unanswered_logic_questions": {
            "type": "boolean",
            "description": "This setting determines whether to include unanswered logic questions for reports"
          },
          "show_inactive_questions": {
            "type": "boolean",
            "description": "This setting determines whether to include inactive questions (such as skipped questions) in tabular export"
          }
        }
      },
      "inspection_filter": {
        "type": "object",
        "description": "List of inspections filters that filters out which inspection to be included. This is optional and only be evaluate",
        "properties": {
          "search_text": {
            "type": "string",
            "description": "text to search against."
          },
          "template_ids": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "The ID of the template to be filter with, this can be an s12ID or a UUID"
          },
          "template_folders": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "template folder ids to filter by"
          },
          "groups": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "the role_id to be filter by"
          },
          "sites": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "locations (sites) to filter by"
          },
          "from_date": {
            "type": "string",
            "description": "earlier date in conducted date range to filter by"
          },
          "to_date": {
            "type": "string",
            "description": "later date in conducted date range to filter by"
          },
          "from_date_completed": {
            "type": "string",
            "description": "earlier date in completed date range to filter by"
          },
          "to_date_completed": {
            "type": "string",
            "description": "later date in completed date range to filter by"
          },
          "asset_ids": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "asset ids to filter by"
          },
          "owned": {
            "type": "boolean",
            "description": "filter by inspections owned by user"
          },
          "shared": {
            "type": "boolean",
            "description": "filter by inspections shared with user"
          },
          "is_archived": {
            "type": "boolean",
            "description": "filter by archived"
          },
          "completed": {
            "type": "boolean",
            "description": "Optional. When set to true, inspections that are completed will be included. When set to false, inspections that are not-completed will be included. If unset, this property is ignored The fields completed, exclude_pending_approvals and inspection_approval_state are used to query the inspection state They are set like this for historical reasons in inspections."
          }
        }
      },
      "lang": {
        "type": "string",
        "description": "Sets the language for the document using language code from ISO-639 format"
      },
      "regenerate": {
        "type": "boolean",
        "description": "Indicate whether to by pass any caching and regenerate the report from the latest data. This flag would only take effect for authorized user."
      },
      "timezone": {
        "type": "string",
        "description": "Sets the timezone for bulk exporting file name"
      },
      "type": {
        "type": "string",
        "description": "The requested file type for the export",
        "enum": [
          "DOCUMENT_TYPE_UNSPECIFIED",
          "DOCUMENT_TYPE_PDF",
          "DOCUMENT_TYPE_WORD",
          "DOCUMENT_TYPE_MEDIA",
          "DOCUMENT_TYPE_EXCEL",
          "DOCUMENT_TYPE_CSV_V3",
          "DOCUMENT_TYPE_JSON",
          "DOCUMENT_TYPE_CSV",
          "DOCUMENT_TYPE_CSV_MEDIA",
          "DOCUMENT_TYPE_CSV_EXCEL"
        ]
      }
    },
    "required": [
      "PCID",
      "export_data",
      "type"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_templates\_service\_archive\_template

Archive a template

**Parameters:**

| Parameter     | Type   | Required | Default | Description                            |
| ------------- | ------ | -------- | ------- | -------------------------------------- |
| `template_id` | string | Yes      | —       | The unique identifier for the template |
| `body`        | object | Yes      | —       | Request body                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "template_id": {
        "type": "string",
        "description": "The unique identifier for the template"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "template_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_templates\_service\_get\_template\_by\_id

Get a template

**Parameters:**

| Parameter     | Type   | Required | Default | Description                           |
| ------------- | ------ | -------- | ------- | ------------------------------------- |
| `template_id` | string | Yes      | —       | Unique template id                    |
| `locale`      | string | No       | —       | The preferred locale of the template. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "template_id": {
        "type": "string",
        "description": "Unique template id"
      },
      "locale": {
        "type": "string",
        "description": "The preferred locale of the template."
      }
    },
    "required": [
      "PCID",
      "template_id"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_templates\_service\_get\_template\_by\_inspection\_id

Get template (by inspection)

**Parameters:**

| Parameter       | Type   | Required | Default | Description                           |
| --------------- | ------ | -------- | ------- | ------------------------------------- |
| `inspection_id` | string | Yes      | —       | The ID for the inspection.            |
| `locale`        | string | No       | —       | The preferred locale of the template. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "inspection_id": {
        "type": "string",
        "description": "The ID for the inspection."
      },
      "locale": {
        "type": "string",
        "description": "The preferred locale of the template."
      }
    },
    "required": [
      "PCID",
      "inspection_id"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_templates\_service\_restore\_archived\_template

Restore an archived template

**Parameters:**

| Parameter     | Type   | Required | Default | Description                            |
| ------------- | ------ | -------- | ------- | -------------------------------------- |
| `template_id` | string | Yes      | —       | The unique identifier for the template |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "template_id": {
        "type": "string",
        "description": "The unique identifier for the template"
      }
    },
    "required": [
      "PCID",
      "template_id"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_the\_pub\_service\_get\_inspection\_deep\_link

Generate an inspection deep link

**Parameters:**

| Parameter  | Type   | Required | Default | Description                                           |
| ---------- | ------ | -------- | ------- | ----------------------------------------------------- |
| `audit_id` | string | Yes      | —       | The id of the inspection to retrieve a deep link for. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "audit_id": {
        "type": "string",
        "description": "The id of the inspection to retrieve a deep link for."
      }
    },
    "required": [
      "PCID",
      "audit_id"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_the\_pub\_service\_get\_inspection\_web\_report\_link

Get inspection web report link

**Parameters:**

| Parameter  | Type   | Required | Default | Description                                                 |
| ---------- | ------ | -------- | ------- | ----------------------------------------------------------- |
| `audit_id` | string | Yes      | —       | The id of the inspection to retrieve a web report link for. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "audit_id": {
        "type": "string",
        "description": "The id of the inspection to retrieve a web report link for."
      }
    },
    "required": [
      "PCID",
      "audit_id"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_the\_pub\_service\_search\_inspections

Search modified inspections

**Parameters:**

| Parameter         | Type      | Required | Default | Description                                                                                                                                                                                                           |
| ----------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `field`           | string\[] | No       | —       | The fields to return. Defaults to just `audit_id`.   - audit\_id: Include `audit_id` in the response.  - modified\_at: Include `modified_at` in the response.  - template\_id: Include `template_id` in the response. |
| `order`           | string    | No       | —       | The order to return results in.   - asc: Ascending order.  - desc: Descending order.                                                                                                                                  |
| `modified_after`  | string    | No       | —       | Filter inspections modified after this date time.                                                                                                                                                                     |
| `modified_before` | string    | No       | —       | Filter inspections modified before this date time.                                                                                                                                                                    |
| `template`        | string\[] | No       | —       | Filter to inspections conducted from these templates.                                                                                                                                                                 |
| `archived`        | string    | No       | —       | Filter results by archived status. Default is `false`.   - false: Only unarchived inspections.  - true: Only archived inspections.  - both: Both unarchived and archived inspections.                                 |
| `completed`       | string    | No       | —       | Filter results by completed status. Default is `both`.   - both: Both complete and incomplete inspections.  - false: Only incomplete inspections.  - true: Only complete inspections.                                 |
| `owner`           | string    | No       | —       | Filter results by owner. Default is `all`.   - all: Owned by anyone.  - me: Only owned by the requesting user  - other: Only owned by other users.                                                                    |
| `limit`           | integer   | No       | —       | Limit the number of results returned. Default is `100`.                                                                                                                                                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "field": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "audit_id",
            "modified_at",
            "template_id"
          ]
        },
        "description": "The fields to return. Defaults to just `audit_id`.   - audit_id: Include `audit_id` in the response.  - modified_at: Include `modified_at` in the response.  - template_id: Include `template_id` in the response."
      },
      "order": {
        "type": "string",
        "description": "The order to return results in.   - asc: Ascending order.  - desc: Descending order.",
        "enum": [
          "asc",
          "desc"
        ]
      },
      "modified_after": {
        "type": "string",
        "description": "Filter inspections modified after this date time."
      },
      "modified_before": {
        "type": "string",
        "description": "Filter inspections modified before this date time."
      },
      "template": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Filter to inspections conducted from these templates."
      },
      "archived": {
        "type": "string",
        "description": "Filter results by archived status. Default is `false`.   - false: Only unarchived inspections.  - true: Only archived inspections.  - both: Both unarchived and archived inspections.",
        "enum": [
          "false",
          "true",
          "both"
        ]
      },
      "completed": {
        "type": "string",
        "description": "Filter results by completed status. Default is `both`.   - both: Both complete and incomplete inspections.  - false: Only incomplete inspections.  - true: Only complete inspections.",
        "enum": [
          "both",
          "false",
          "true"
        ]
      },
      "owner": {
        "type": "string",
        "description": "Filter results by owner. Default is `all`.   - all: Owned by anyone.  - me: Only owned by the requesting user  - other: Only owned by other users.",
        "enum": [
          "all",
          "me",
          "other"
        ]
      },
      "limit": {
        "type": "integer",
        "description": "Limit the number of results returned. Default is `100`."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_the\_pub\_service\_search\_templates

Search modified templates

**Parameters:**

| Parameter         | Type      | Required | Default | Description                                                                                                                                                                                                                                                         |
| ----------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `limit`           | integer   | No       | —       | Limit the number of results returned. Default is `1000`.                                                                                                                                                                                                            |
| `field`           | string\[] | No       | —       | The fields to return. Defaults to just `audit_id`.   - template\_id: Include `template_id` in the response.  - name: Include `name` in the response.  - modified\_at: Include `modified_at` in the response.  - created\_at: Include `modified_at` in the response. |
| `order`           | string    | No       | —       | The order to return results in.   - asc: Order by `modified_at` in ascending order.  - desc: Order by `modified_at` in descending order.                                                                                                                            |
| `modified_after`  | string    | No       | —       | Filter results modified after this date time.                                                                                                                                                                                                                       |
| `modified_before` | string    | No       | —       | Filter results modified before this date time.                                                                                                                                                                                                                      |
| `archived`        | string    | No       | —       | Filter results by archived status.   - false: Only include unarchived templates.  - true: Only include archived templates.  - both: Include both archived and unarchived templates.                                                                                 |
| `owner`           | string    | No       | —       | Filter results by owner.   - all: Include all templates.  - me: Only include templates owned by the requesting user.  - other: Only include templates owned by other users.                                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "limit": {
        "type": "integer",
        "description": "Limit the number of results returned. Default is `1000`."
      },
      "field": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "template_id",
            "name",
            "modified_at",
            "created_at"
          ]
        },
        "description": "The fields to return. Defaults to just `audit_id`.   - template_id: Include `template_id` in the response.  - name: Include `name` in the response.  - modified_at: Include `modified_at` in the response.  - created_at: Include `modified_at` in the response."
      },
      "order": {
        "type": "string",
        "description": "The order to return results in.   - asc: Order by `modified_at` in ascending order.  - desc: Order by `modified_at` in descending order.",
        "enum": [
          "asc",
          "desc"
        ]
      },
      "modified_after": {
        "type": "string",
        "description": "Filter results modified after this date time."
      },
      "modified_before": {
        "type": "string",
        "description": "Filter results modified before this date time."
      },
      "archived": {
        "type": "string",
        "description": "Filter results by archived status.   - false: Only include unarchived templates.  - true: Only include archived templates.  - both: Include both archived and unarchived templates.",
        "enum": [
          "false",
          "true",
          "both"
        ]
      },
      "owner": {
        "type": "string",
        "description": "Filter results by owner.   - all: Include all templates.  - me: Only include templates owned by the requesting user.  - other: Only include templates owned by other users.",
        "enum": [
          "all",
          "me",
          "other"
        ]
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_the\_pub\_service\_share\_inspection

Share an inspection

**Parameters:**

| Parameter  | Type      | Required | Default | Description                         |
| ---------- | --------- | -------- | ------- | ----------------------------------- |
| `audit_id` | string    | Yes      | —       | The id of the inspection to share.  |
| `shares`   | object\[] | No       | —       | The users and groups to share with. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "audit_id": {
        "type": "string",
        "description": "The id of the inspection to share."
      },
      "shares": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "string",
              "description": "The id of the user or group to share with."
            },
            "permission": {
              "type": "string",
              "enum": [
                "view",
                "edit",
                "delete"
              ],
              "description": "The permissions to grant the user or group."
            }
          },
          "required": [
            "id",
            "permission"
          ]
        },
        "description": "The users and groups to share with."
      }
    },
    "required": [
      "PCID",
      "audit_id"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_the\_pub\_service\_start\_inspection

Start an inspection

**Parameters:**

| Parameter      | Type      | Required | Default | Description                                     |
| -------------- | --------- | -------- | ------- | ----------------------------------------------- |
| `header_items` | object\[] | No       | —       | The title page items of the inspection.         |
| `items`        | object\[] | No       | —       | The items of the inspection.                    |
| `template_id`  | string    | Yes      | —       | ID of the template to start an inspection from. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "header_items": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "item_id": {
              "type": "string",
              "description": "The id of the item."
            },
            "type": {
              "type": "string",
              "enum": [
                "text",
                "textsingle",
                "address",
                "datetime",
                "question",
                "list",
                "checkbox",
                "slider",
                "switch"
              ],
              "description": "The type of the item."
            },
            "responses": {
              "type": "object",
              "description": "The responses of the item."
            }
          }
        },
        "description": "The title page items of the inspection."
      },
      "items": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "item_id": {
              "type": "string",
              "description": "The id of the item."
            },
            "type": {
              "type": "string",
              "enum": [
                "text",
                "textsingle",
                "address",
                "datetime",
                "question",
                "list",
                "checkbox",
                "slider",
                "switch"
              ],
              "description": "The type of the item."
            },
            "responses": {
              "type": "object",
              "description": "The responses of the item."
            }
          }
        },
        "description": "The items of the inspection."
      },
      "template_id": {
        "type": "string",
        "description": "ID of the template to start an inspection from."
      }
    },
    "required": [
      "PCID",
      "template_id"
    ]
  }
  ```
</Expandable>

***

## safetyculture\_inspections\_the\_pub\_service\_update\_inspection

Update an inspection

**Parameters:**

| Parameter      | Type      | Required | Default | Description                                                                                |
| -------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------ |
| `audit_id`     | string    | Yes      | —       | The ID of the inspection to update.                                                        |
| `archived`     | boolean   | No       | —       | Whether to archive or un-archive the inspection. Optional. Defaults to false (un-archive). |
| `header_items` | object\[] | No       | —       | The title page items of the inspection.                                                    |
| `items`        | object\[] | No       | —       | The items of the inspection.                                                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "audit_id": {
        "type": "string",
        "description": "The ID of the inspection to update."
      },
      "archived": {
        "type": "boolean",
        "description": "Whether to archive or un-archive the inspection. Optional. Defaults to false (un-archive)."
      },
      "header_items": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "item_id": {
              "type": "string",
              "description": "The id of the item."
            },
            "type": {
              "type": "string",
              "enum": [
                "text",
                "textsingle",
                "address",
                "datetime",
                "question",
                "list",
                "checkbox",
                "slider",
                "switch"
              ],
              "description": "The type of the item."
            },
            "responses": {
              "type": "object",
              "description": "The responses of the item."
            }
          }
        },
        "description": "The title page items of the inspection."
      },
      "items": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "item_id": {
              "type": "string",
              "description": "The id of the item."
            },
            "type": {
              "type": "string",
              "enum": [
                "text",
                "textsingle",
                "address",
                "datetime",
                "question",
                "list",
                "checkbox",
                "slider",
                "switch"
              ],
              "description": "The type of the item."
            },
            "responses": {
              "type": "object",
              "description": "The responses of the item."
            }
          }
        },
        "description": "The items of the inspection."
      }
    },
    "required": [
      "PCID",
      "audit_id"
    ]
  }
  ```
</Expandable>
